/*****************************************************************************
 *
 *  Copyright (C) 2006-2009  Florian Pose, Ingenieurgemeinschaft IgH
 *
 *  This file is part of the IgH EtherCAT Master.
 *
 *  The IgH EtherCAT Master is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License version 2, as
 *  published by the Free Software Foundation.
 *
 *  The IgH EtherCAT Master is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with the IgH EtherCAT Master; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ****************************************************************************/

#ifndef __COMMANDSIIREAD_H__
#define __COMMANDSIIREAD_H__

#include "Command.h"

/****************************************************************************/

class CommandSiiRead:
    public Command
{
    public:
        CommandSiiRead();

        string helpString(const string &) const;
        void execute(const StringVector &);

    protected:
        struct CategoryName {
            uint16_t type;
            const char *name;
        };
        static const CategoryName categoryNames[];
        static const char *getCategoryName(uint16_t);
};

/****************************************************************************/

#endif
